From f856e90d157d086a1d9ee1983b17e823e2b24e19 Mon Sep 17 00:00:00 2001
From: Joachim Schoeberl <joachim.schoeberl@tuwien.ac.at>
Date: Tue, 31 Aug 2021 01:00:33 +0200
Subject: [PATCH] fix for OCCT 7.4 and older

---
 libsrc/occ/vsocc.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Origin: upstream, https://github.com/NGSolve/netgen/commit/f856e90d157d086a1d9ee1983b17e823e2b24e19
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1014964
Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/netgen/+bug/1983997
Applied-Upstream: v6.2.2105
Last-Update: 2022-08-08

diff --git a/libsrc/occ/vsocc.cpp b/libsrc/occ/vsocc.cpp
index d6c76f7d..1b9c5d55 100644
--- a/libsrc/occ/vsocc.cpp
+++ b/libsrc/occ/vsocc.cpp
@@ -466,7 +466,7 @@ namespace netgen
 #if OCC_VERSION_MAJOR>=7 && OCC_VERSION_MINOR>=5           
            gp_Pnt p = T -> Node(aEdgePoly->Node(j)).Transformed(aEdgeLoc);
 #else           
-           gp_Pnt p = T -> Nodes())(aEdgePoly->Nodes()(j).Transformed(aEdgeLoc);
+           gp_Pnt p = T -> Nodes()(aEdgePoly->Nodes()(j)).Transformed(aEdgeLoc);
 #endif           
            glVertex3f (p.X(), p.Y(), p.Z());
          }
@@ -608,7 +608,7 @@ namespace netgen
 #if OCC_VERSION_MAJOR>=7 && OCC_VERSION_MINOR>=5              
               uv = triangulation -> UVNode(triangle(k));
 #else              
-              uv = triangulation -> UVNodes())(triangle(k);
+              uv = triangulation -> UVNodes()(triangle(k);
 #endif
                prop.SetParameters (uv.X(), uv.Y());
 
